Codici a barre
GET https://qrcloud.online/api/barcodes/
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Opzionale String | La stringa di ricerca. |
| search_by | Opzionale String | In quale campo stai cercando. I valori consentiti sono: name, value. |
| type | Opzionale String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | Opzionale String | Valori consentiti: datetime, last_datetime |
| datetime_start | Opzionale String | Filtrare i risultati a partire da questa data e ora. Formato Y-m-d H:i:s. |
| datetime_end | Opzionale String | Filtrare i risultati fino a questa data e ora. Formato Y-m-d H:i:s. |
| order_by | Opzionale String | Per quale campo ordinare i risultati. I valori consentiti sono: barcode_id, datetime, last_datetime, name, type. |
| order_type | Opzionale String | L'ordinamento dei risultati. I valori ammessi sono: ASC per l'ordinamento ascendente e DESC per l'ordinamento discendente. |
| page | Opzionale Integer | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Opzionale Integer | Quanti risultati desideri per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Il valore predefinito è 25. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:08",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/barcodes?page=1",
"last": "https://qrcloud.online/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/barcodes?page=1"
}
}
GET https://qrcloud.online/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:08",
}
}
POST https://qrcloud.online/api/barcodes
| Parametri | Dettagli | Descrizione |
|---|---|---|
| project_id | Opzionale Integer | - |
| name | Richiesto String | - |
| type | Richiesto String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | Opzionale Boolean | |
| value | Richiesto String | - |
| display_text | Opzionale Boolean | - |
| foreground_color | Opzionale String | - |
| background_color | Opzionale String | - |
| width_scale | Opzionale Integer | 1-10 |
| height | Opzionale Integer | 30-1000 |
| Parametri | Dettagli | Descrizione |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/barcodes/{barcode_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| project_id | Opzionale String | - |
| name | Opzionale String | - |
| type | Opzionale String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | Richiesto String | - |
| display_text | Opzionale Boolean | - |
| foreground_color | Opzionale String | - |
| background_color | Opzionale String | - |
| width_scale | Opzionale Integer | 1-10 |
| height | Opzionale Integer | 30-1000 |
curl --request POST \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \